RDKit: better_enums::_iterable< Element > Struct Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
better_enums::_iterable< Element > Struct Template Reference

`#include <enum.h>`

## Public Types
typedef const Element * | iterator

## Public Member Functions
BETTER_ENUMS_CONSTEXPR_ iterator | begin () const
BETTER_ENUMS_CONSTEXPR_ iterator | end () const
BETTER_ENUMS_CONSTEXPR_ std::size_t | size () const
BETTER_ENUMS_CONSTEXPR_ const Element & | operator[] (std::size_t index) const
BETTER_ENUMS_CONSTEXPR_ | _iterable (const Element *array, std::size_t s)

## Detailed Description

template<typename Element>
struct better_enums::_iterable< Element >

Definition at line 431 of file enum.h.

## Member Typedef Documentation

## ◆ iterator

template<typename Element>

typedef const Element* better_enums::_iterable< Element >::iterator

Definition at line 432 of file enum.h.

## Constructor & Destructor Documentation

## ◆ _iterable()

template<typename Element>

BETTER_ENUMS_CONSTEXPR_ better_enums::_iterable< Element >::_iterable | ( | const Element * | array,
|  | std::size_t | s )
| inline

Definition at line 441 of file enum.h.

References BETTER_ENUMS_CONSTEXPR_.

## Member Function Documentation

## ◆ begin()

template<typename Element>

BETTER_ENUMS_CONSTEXPR_ iterator better_enums::_iterable< Element >::begin | ( |  | ) | const
| inline

Definition at line 434 of file enum.h.

References BETTER_ENUMS_CONSTEXPR_.

## ◆ end()

template<typename Element>

BETTER_ENUMS_CONSTEXPR_ iterator better_enums::_iterable< Element >::end | ( |  | ) | const
| inline

Definition at line 435 of file enum.h.

References BETTER_ENUMS_CONSTEXPR_.

## ◆ operator[]()

template<typename Element>

BETTER_ENUMS_CONSTEXPR_ const Element & better_enums::_iterable< Element >::operator[] | ( | std::size_t | index | ) | const
| inline

Definition at line 438 of file enum.h.

References BETTER_ENUMS_CONSTEXPR_.

## ◆ size()

template<typename Element>

BETTER_ENUMS_CONSTEXPR_ std::size_t better_enums::_iterable< Element >::size | ( |  | ) | const
| inline

Definition at line 437 of file enum.h.

References BETTER_ENUMS_CONSTEXPR_.

The documentation for this struct was generated from the following file:

- enum.h